jack_description_t Struct Reference
Metadata API.

`#include <metadata.h>`

## Public Attributes

jack_uuid_t | subject
uint32_t | property_cnt
jack_property_t * | properties
uint32_t | property_size

## Detailed Description

A description of a subject (a set of properties).

Definition at line 35 of file JackMetadata.h.

## Member Data Documentation

jack_uuid_t jack_description_t::subject

Subject being described.

Definition at line 36 of file JackMetadata.h.

uint32_t jack_description_t::property_cnt

Number of elements in "properties".

Definition at line 37 of file JackMetadata.h.

jack_property_t * jack_description_t::properties

Array of properties.

Definition at line 38 of file JackMetadata.h.

uint32_t jack_description_t::property_size

Private, do not use.

Definition at line 39 of file JackMetadata.h.

The documentation for this struct was generated from the following files:

- JackMetadata.h
- metadata.h